#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright 2009  Olaf Merkert


# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see
# <http://www.gnu.org/licenses/>.


# this is just a little example file to serve as a starting point for
# your needs.

from download import walk_lectures
import os.path as path

lectures = [
    [ "Topologie",             "http://www.math.unibas.ch/~giordano/Topologie.html"],
    [ "Differentialgeometrie", "http://www.geometrie.ch/DG_2009f/DG_2009f.html"],
    # The first item is the dirname under main_dir, the second item is
    # the url where the pdf links are posted.
    ]

main_dir = "/tmp/Studium"
# main_dir = path.expanduser("~/Studium/")

# walk_lectures returns a string list with the updates
for u in walk_lectures(main_dir, lectures):
    print u
